Description: Add new includes to be able to compile with current g++
Author: Steffen Moeller <moeller@debian.org>
Last-Update: 2011-03-03
Index: dotur-1.53/dotur.C
===================================================================
--- dotur-1.53.orig/dotur.C	2011-03-03 00:04:37.000000000 +0100
+++ dotur-1.53/dotur.C	2011-03-03 00:05:36.000000000 +0100
@@ -3,13 +3,15 @@
 
 using namespace std;
 
+#include <cstdlib>
+#include <algorithm>
 #include "otu.h"
 #include "richness.h"
 #include <iostream>
 #include <fstream>
 #include <iomanip>
 #include <vector>
-#include <string>
+#include <cstring>
 #include <sstream>
 #include <list>
 #include <ctime>
Index: dotur-1.53/otu.h
===================================================================
--- dotur-1.53.orig/otu.h	2011-03-03 00:04:37.000000000 +0100
+++ dotur-1.53/otu.h	2011-03-03 00:05:36.000000000 +0100
@@ -1,8 +1,9 @@
+#include <cstdlib>
 #include <iostream>
 #include <fstream>
 #include <iomanip>
 #include <vector>
-#include <string>
+#include <cstring>
 #include <sstream>
 #include <list>
 #include <cmath>
